try {
    var $application_Table = $('#application-table');
    if ($application_Table.length > 0) {

        var application_DataTable = $application_Table.DataTable({
            "searchDelay": 700,
            "ordering": false, responsive: !0,
            "lengthMenu": [[10, 25, 50, 100, 500, 1000, -1], [10, 25, 50, 100, 500, 1000, "All"]],
            "processing": true, // for show progress bar
            "serverSide": true, // for process server side
            "orderMulti": false, // for disable multiple column at once
            "ajax": {
                "url": "/application",
                "type": "POST",
                "datatype": "json",
                data: function (json) {
                    //json.SearchapplicationByNumber = permissionJson.SearchapplicationByNumber;
                    //json.StatusID = $(".__application-status-filter").val();
                    //json.StatusIDOne = $(".__application-qualitycheck-filter").val();
                    return json;
                },
            },
            "language":
            {
                "processing": "<i class='fas fa-spinner fa-spin'></i>",
            },
            "columns": [
                { "data": "ApplicationNumber" },
                { "data": "CustomerName" },
                { "data": "NumberOfAdults" },
                { "data": "TotalAmount" },
                { "data": "DateOfTravel" },
                { "data": "ApplicationStatus" },
                { "data": "PaymentStatus" },
                { "data": "PaymentCaptureDate" },
                { "data": "CreatedDate" }
            ],
            columnDefs: [                
                {
                    targets: 0,
                    render: function (data, type, item) {
                        return '<a title="View Application Details" target="_black" href="/application/details/' + item.ApplicationID + '">' + item.ApplicationNumber + '</a>';
                    }
                },
                {
                    targets: 1,
                    render: function (data, type, item) {
                        return '<a title="View Customer Details" target="_black" href="/customer/details/' + item.CustomerID + '">' + item.CustomerName + '</a>';
                    }
                }
            ]
        });
    }
} catch (ex) { }