﻿<%@ WebHandler Language="C#" Class="AWSFileHandler" %>

using System;
using System.Web;

public class AWSFileHandler : IHttpHandler
{
    private const string FILENAME_QUERYSTRING_KEY = "id";
    private static string AWSFileUrl = Convert.ToString(System.Configuration.ConfigurationManager.AppSettings["AWSFileUrl"]);
    public void ProcessRequest(HttpContext context)
    {
        string fileURL = String.Empty;
        if (context.Request.QueryString[FILENAME_QUERYSTRING_KEY] != null)
        {
            string fileName = Convert.ToString(context.Request.QueryString[FILENAME_QUERYSTRING_KEY]);
            string folderPath = string.Concat(AWSFileUrl, fileName.Substring(0, 2), "/", fileName.Substring(2, 1), "/", fileName);
            fileURL = folderPath;
            using (System.Net.WebClient client = new System.Net.WebClient())
            {
                byte[] data = client.DownloadData(new Uri(fileURL));
                context.Response.ContentType = "image/jpeg";
                context.Response.BinaryWrite(data);
            }
        }
        else
        {
            context.Response.ContentType = "text/plain";
            context.Response.Write("");
        }


    }

    public bool IsReusable
    {
        get
        {
            return false;
        }
    }

}