$(".datepicker-input").flatpickr({
    dateFormat: "Y-m-d",
    disableMobile: true,
    minDate: "today"
});

$("#DateOfBirth").flatpickr({
    dateFormat: "Y-m-d",
    disableMobile: true,
    maxDate: "today"
});

addValidation("#ApplicationForm");

$("#ApplicationCard").on("click", ".__traveler-btn", function () {
    var btn = $(this);
    var $form = $("#ApplicationForm");
    var json = JSON.parse(btn.find("small").text());
    if (json.TouristID > 0) {
        $.each(json, function (key, val) {
            if (key != "SubmitType")
                $form.find('[name="' + key + '"]').val(val);
        });
    }
    else {
        $form.find(':input').each(function () {
            switch (this.type) {
                case 'text':
                case 'file':
                case 'date':
                case 'select-one':
                case 'number':
                case 'email':
                    $(this).val('');
                    $(this).next('.custom-file-label').html("");
                    break;
                case 'checkbox':
                case 'radio':
                    this.checked = false;
                    break;
            }
        });
        $form.find('[name="TouristID"]').val(0);
    }
});

$("#ApplicationCard").on("click", ".__delete-traveler", function () {
    var x = $(this);
    var btn = x.parent().find("button.__traveler-btn");
    var count = $("#travellerslist button.__traveler-btn").length;
    var json = JSON.parse(btn.find("small").text());
    if (json.TouristID > 0) {
        $.post("/application/deletetourist", { TouristID: json.TouristID }, function (data) {            
            if (data > 0) {                
                count = count - 1;
                var totalS = $("#ApplicationPackageTotal");
                var price = totalS.data("packageprice");
                totalS.text("$" + (price * count));
                $("#TravelersCount").text(("$" + price + " X " + count));
            }

        });
    }
    x.parents(".btn-group").remove();
    var btn1 = $("#travellerslist").find("button.__traveler-btn").last();
    var json = JSON.parse(btn1.find("small").text());
    var $form = $("#ApplicationForm");
    $.each(json, function (key, val) {
        if (key != "SubmitType")
            $form.find('[name="' + key + '"]').val(val);
    });
});

$("#ApplicationCard").on("change", ".custom-file-input", function () {
    var fileName = this.files[0].name;
    $(this).next('.custom-file-label').html(fileName);
});

$('#ApplicationForm').ajaxForm({
    beforeSubmit: function (arr) {
        $('.preloader').show();
    },
    complete: function (xhr) {
        if (xhr.responseJSON.IsError) {
            alert(xhr.responseJSON.ErrorMessage);
            $('.preloader').hide();
        }
        else {
            var data = xhr.responseJSON.data;
            var submitType = xhr.responseJSON.SubmitType;

            if (submitType == 1) {

                if (data.length > 0) {
                    var tl = $("#travellerslist");
                    var html = '';
                    data.forEach(function (item, index) {
                        if (index == 0) {
                            html += '<button type="button" data-vld="1" data-traveler="' + item.TouristID + '" class="btn btn-thm primary-traveler __traveler-btn"><small>' + JSON.stringify(item) + '</small> ' + item.FirstName + ' </button>';
                        }
                        else {
                            html += '<div class="btn-group" role="group"><button type="button" data-traveler="' + item.TouristID + '" data-vld="0" class="btn btn-success __traveler-btn"><small>' + JSON.stringify(item) + '</small> ' + item.FirstName + ' </button> </button> <span class="btn btn-success __delete-traveler"><i class="flaticon-delete"></i></span></div>';
                        }

                    });
                    html += '<div class="btn-group" role="group"><button type="button" data-vld="0" class="btn btn-success __traveler-btn"><small>{ "TouristID": 0 }</small> Traveler </button> <span class="btn btn-success __delete-traveler"><i class="flaticon-delete"></i></span></div>';
                    tl.html(html);

                    var item = data[0];
                    var $form = $("#ApplicationForm");
                    $form.find(':input').each(function () {
                        switch (this.type) {
                            case 'hidden':
                            case 'text':
                            case 'file':
                            case 'date':
                            case 'select-one':
                            case 'number':
                            case 'email':
                                $(this).val('');
                                $(this).next('.custom-file-label').html("");
                                break;
                            case 'checkbox':
                            case 'radio':
                                this.checked = false;
                                break;
                        }
                    });
                    $form.find('[name="ApplicationID"]').val(item.ApplicationID);
                    $form.find('[name="VisaPackageID"]').val(item.VisaPackageID);

                    $('.preloader').hide();
                    window.scrollTo({ top: 0, behavior: 'smooth' });
                    var totalS = $("#ApplicationPackageTotal");
                    var price = totalS.data("packageprice");
                    totalS.text("$" + (price * (data.length + 1)));
                    $("#TravelersCount").text(("$" + price + " X " + (data.length + 1)));

                } else {
                    location.reload();
                }
            }
            else {
                location.href = "/application/preview";
            }
        }

        //if (data.TouristID > 0) {

        //    if (data.SubmitType == 1) {
        //        var tl = $("#travellerslist");
        //        if (tl.length > 0) {

        //            var tv = tl.find('button[data-traveler="' + data.TouristID + '"]');
        //            var btn = tl.find("button.__traveler-btn").last();
        //            if (tv.length > 0) {
        //                tv.val(JSON.stringify(data)).text(data.FirstName);
        //            } else {
        //                btn.val(JSON.stringify(data)).attr({ "data-vld": "1", "data-traveler": data.TouristID }).text(data.FirstName);
        //            }

        //            if (btn.attr("data-vld") == "1") {
        //                var html = '<div class="btn-group" role="group"><button type="button" data-vld="0" class="btn btn-success __traveler-btn" value=' + JSON.stringify({ TouristID: 0 }) + '> Traveler </button> <span class="btn btn-success __delete-traveler"><i class="flaticon-delete"></i></span></div>';
        //                tl.append(html);
        //            }
        //        }
        //        else {
        //            var html = '<div class="travellers-list" id="travellerslist"><button type="button" data-vld="1" data-traveler="' + data.TouristID + '" class="btn btn-thm primary-traveler __traveler-btn" value=' + JSON.stringify(data) + '> ' + data.FirstName + ' </button>';
        //            html += '<div class="btn-group" role="group"><button type="button" data-vld="0" class="btn btn-success __traveler-btn" value=' + JSON.stringify({ TouristID: 0 }) + '> Traveler </button> <span class="btn btn-success __delete-traveler"><i class="flaticon-delete"></i></span></div></div>';
        //            $("#headingOne").after(html);
        //        }
        //        var $form = $("#ApplicationForm");
        //        $form.find(':input').each(function () {
        //            switch (this.type) {
        //                case 'hidden':
        //                case 'text':
        //                case 'file':
        //                case 'date':
        //                case 'select-one':
        //                case 'number':
        //                case 'email':
        //                    $(this).val('');
        //                    break;
        //                case 'checkbox':
        //                case 'radio':
        //                    this.checked = false;
        //                    break;
        //            }
        //        });
        //        $form.find('[name="ApplicationID"]').val(data.ApplicationID);
        //        $form.find('[name="VisaPackageID"]').val(data.VisaPackageID);
        //    }
        //    else {
        //        location.href = "/application/preview";
        //    }
        //}
        //else {
        //    location.reload();
        //}


    }
});
